Subject: Maryland Butterfly Society

From: Mark Etheridge <[email-masked]>
Date: Wed, 24 May 1995 21:53:47 -0400

The first meeting of the newly formed Maryland Butterfly Society will take
place on Tuesday, June 6 from 7:00 to 8:30 pm at Cosca Regional Park in
Clinton, Maryland. For more information, call Lise Bierer (301)297-4575.